Bug 798194 - nfs-nlm:nfs server crash with cthon lock test
nfs-nlm:nfs server crash with cthon lock test
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
pre-release
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Vivek Agarwal
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-02-28 04:46 EST by Saurabh
Modified: 2016-02-17 19:03 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:20:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa29
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
core file (812.92 KB, application/x-bzip)
2012-02-28 07:56 EST, Saurabh
no flags Details

  None (edit)
Description Saurabh 2012-02-28 04:46:16 EST
Description of problem:

(gdb) bt
#0  0x0000003423a32905 in raise () from /lib64/libc.so.6
#1  0x0000003423a340e5 in abort () from /lib64/libc.so.6
#2  0x0000003423a2b9be in __assert_fail_base () from /lib64/libc.so.6
#3  0x0000003423a2ba80 in __assert_fail () from /lib64/libc.so.6
#4  0x00007f5086a27962 in gf_mem_set_acct_info (xl=0x7f5086c69440, alloc_ptr=0x7f507ce0ad50, size=88, type=110) at mem-pool.c:96
#5  0x00007f5086a27c43 in __gf_calloc (nmemb=1, size=88, type=110) at mem-pool.c:151
#6  0x00007f508233f830 in nlm4_establish_callback (csarg=0x7f50807c4df0) at nlm4.c:895
#7  0x00000034242077e1 in start_thread () from /lib64/libpthread.so.0
#8  0x0000003423ae577d in clone () from /lib64/libc.so.6

Version-Release number of selected component (if applicable):

[root@RHSSA1 ~]# /root/330/inst/sbin/glusterfs -V
glusterfs 3.3.0qa24 built on Feb 24 2012 04:52:12
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.

How reproducible:


Steps to Reproduce:
1. create a distribute-replicate volume
2. execute the cthon lock test
3.
  
Actual results:
it fails in test #7

Expected results:


Additional info:
Comment 1 Saurabh 2012-02-28 07:56:48 EST
Created attachment 566304 [details]
core file
Comment 2 Anand Avati 2012-02-29 11:15:33 EST
CHANGE: http://review.gluster.com/2842 (nfs: prevent crash during cthon lock test) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.